## org.firebirdsql.jdbc
Class FBStatementFactory

    java.lang.Object
      org.firebirdsql.jdbc.FBStatementFactory

    public class FBStatementFactory

extends Object

Creates statement/savepoint objects.

Author:
  Steven Jardine

Constructor Summary
`FBStatementFactory()`

Method Summary
`static AbstractCallableStatement` `createCallableStatement(GDSHelper gdsHelper, String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability, FBObjectListener.StatementListener statementListener, FBObjectListener.BlobListener blobListener)`
`static AbstractPreparedStatement` `createPreparedStatement(GDSHelper gdsHelper, String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability, FBObjectListener.StatementListener statementListener, FBObjectListener.BlobListener blobListener, boolean metadata, boolean standaloneStatement)`
`static AbstractSavepoint` `createSavepoint(int counter)`
`static AbstractSavepoint` `createSavepoint(String name)`
`static AbstractStatement` `createStatement(GDSHelper gdsHelper, int resultSetType, int resultSetConcurrency, int resultSetHoldability, FBObjectListener.StatementListener statementListener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBStatementFactory

    public FBStatementFactory()

Method Detail

### createCallableStatement

    public static AbstractCallableStatement createCallableStatement(GDSHelper gdsHelper,
                                                                    String sql,
                                                                    int resultSetType,
                                                                    int resultSetConcurrency,
                                                                    int resultSetHoldability,
                                                                    FBObjectListener.StatementListener statementListener,
                                                                    FBObjectListener.BlobListener blobListener)
                                                             throws FBSQLException

  Returns:
    a new instance of FBCallableStatement.
  Throws:
    `FBSQLException`

### createPreparedStatement

    public static AbstractPreparedStatement createPreparedStatement(GDSHelper gdsHelper,
                                                                    String sql,
                                                                    int resultSetType,
                                                                    int resultSetConcurrency,
                                                                    int resultSetHoldability,
                                                                    FBObjectListener.StatementListener statementListener,
                                                                    FBObjectListener.BlobListener blobListener,
                                                                    boolean metadata,
                                                                    boolean standaloneStatement)
                                                             throws FBSQLException

  Returns:
    a new instance of FBPreparedStatement
  Throws:
    `FBSQLException`

### createSavepoint

    public static AbstractSavepoint createSavepoint(int counter)
                                             throws FBSQLException

  Returns:
    a new FBSavepoint object using the integer constructor.
  Throws:
    `FBSQLException`

### createSavepoint

    public static AbstractSavepoint createSavepoint(String name)
                                             throws FBSQLException

  Returns:
    a new FBSavepoint object using the String constructor.
  Throws:
    `FBSQLException`

### createStatement

    public static AbstractStatement createStatement(GDSHelper gdsHelper,
                                                    int resultSetType,
                                                    int resultSetConcurrency,
                                                    int resultSetHoldability,
                                                    FBObjectListener.StatementListener statementListener)
                                             throws FBSQLException

  Returns:
    a new instance FBStatement.
  Throws:
    `FBSQLException`

Copyright © 2001-2010. All Rights Reserved.